<?php
defined('PHPFOX') or exit('NO DICE!');
class Adblog_Component_Block_Topcomments extends Phpfox_Component 
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$top_comments = Phpfox::getService('adblog.callback')->gettopcomments();
		if (!$top_comments)
		{
			return false;
		}	
		
		foreach($top_comments as &$item)
		{
			$pUsersInfo = array(
				'title' => $item['full_name'],
				'path' => 'core.url_user',
				'file' => $item['user_image'],
				'suffix' => '_75_square',
				'width' => 50,
				'height' => 50,
				'no_default' => (Phpfox::getUserId() == $item['user_id'] ? false : true),
				'thickbox' => true,
				'class' => 'block_user_image',
				'no_link' => true
			);
			$item['profile_image'] = Phpfox::getLib('image.helper')->display(array_merge(array('user' => Phpfox::getService('user')->getUserFields(true, $item)), $pUsersInfo));
		}
		$this->template()->assign(array(
				'top_comments' => $top_comments,
			)
		);
	}
}

?>