<?php 

 
defined('PHPFOX') or exit('NO DICE!'); 

?>
<link rel="stylesheet" href="//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css">
<div class='img_cont'>
	{if $aItem.blog_image}
		<img src="{$aItem.blog_image}" alt="{$aItem.title}" title="{$aItem.title}" />
	{/if}
</div>
<h1 class='main_title'>{$aItem.title}</h1>
<div class='blog_info'>
	<div class='fl'>
	{phrase var='adblog.post_in'}  
	{if $aItem.category}
		{foreach from=$aItem.category item=cat}
			 <a href="{$cat.link}">{if Phpfox::isPhrase($this->_aVars['cat']['category_name'])}
                 {phrase var=$cat.category_name}
                 {else}
                 {$cat.category_name|convert|clean}
                 {/if}</a> /
		{/foreach}
	{else}
		{phrase var='adblog.uncategorized'}
	{/if}
	- 
	{phrase var='blog.by_user' full_name=$aItem|user:'':'':50:'':'author'}
	 - {$aItem.date}
	 </div>
	 <div class='fr'>
	{if $aItem.is_approved != 1}
	<div class="message js_moderation_off" id="js_approve_message">
		{phrase var='blog.this_blog_is_pending_an_admins_approval'}
	</div>
	{/if}	
	
	{if Phpfox::getUserParam('blog.can_approve_blogs')
		|| (Phpfox::getUserParam('blog.edit_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.edit_user_blog')
		|| (Phpfox::getUserParam('blog.delete_own_blog') && Phpfox::getUserId() == $aItem.user_id) || Phpfox::getUserParam('blog.delete_user_blog')
	}	
	<div class="item_bar">
		<div class="item_bar_action_holder">
			{if $aItem.is_approved != 1 && Phpfox::getUserParam('blog.can_approve_blogs')}
				<a href="#" class="item_bar_approve item_bar_approve_image" onclick="return false;" style="display:none;" id="js_item_bar_approve_image">{img theme='ajax/add.gif'}</a>			
				<a href="#" class="item_bar_approve" onclick="$(this).hide(); $('#js_item_bar_approve_image').show(); $.ajaxCall('blog.approve', 'inline=true&amp;id={$aItem.blog_id}'); return false;">{phrase var='blog.approve'}</a>
			{/if}		
			<a role="button" data-toggle="dropdown" class="item_bar_action"><span>{phrase var='blog.actions'}</span></a>
			<ul class="dropdown-menu">
				{template file='adblog.block.link'}
			</ul>
		</div>		
	</div>
	{/if}
	 </div>
	<div class='clr'></div>
</div>
<div class="item_view">
	<div style="word-wrap:break-word;" id="js_blog_entry{$aItem.blog_id}"{if !isset($bBlogView)} class="moderation_row js_blog_parent {if is_int($phpfox.iteration.blog/2)}row1{else}row2{/if}{if $phpfox.iteration.blog == 1 && !PHPFOX_IS_AJAX} row_first{/if}{if $aItem.is_approved != 1} {/if}"{/if}>	
				<div class="blog_content">
					<div id="js_blog_edit_text{$aItem.blog_id}">	
						<div class="item_content item_view_content" itemprop="articleBody">
							{if isset($bBlogView)}
							{$aItem.text|parse|highlight:'search'|split:55}
							{else}
							<div class="extra_info">
								{$aItem.text|strip_tags|highlight:'search'|split:55|shorten:$iShorten'...'}
							</div>
						{/if}
						</div>			
					</div>	
					
					{if isset($bBlogView) && $aItem.total_attachment}
					{module name='attachment.list' sType=blog iItemId=$aItem.blog_id}
					{/if}			
					{if isset($aItem.tag_list)}		
					
					<div class='blog_tags'> {phrase var='adblog.tags'} &nbsp;
						{foreach from=$aItem.tag_list item=tag}
							<a href="{$tag.link}">{$tag.tag_text}</a> 
						{/foreach}
					</div>
					{/if}
					
					{if !isset($bBlogView)}
						{module name='feed.comment' aFeed=$aItem.aFeed}
					{/if}
					
					{plugin call='blog.template_block_entry_text_end'}			
				</div>
			
			{plugin call='blog.template_block_entry_end'}	
			{if !isset($bBlogView)}
				</div>					
			</div>
			{/if}
		</div>
<div class='blog_info autohr'>
	<div class='fl mr-10'>{img user=$aItem suffix='_50_square' max_width=50 max_height=50}</div>
	<div class='about_block'>
		<h3>{$aItem|user}</h3>
		<div>
			{if $aItem.aboutuser}
			{$aItem.aboutuser}
			{else}
				{phrase var='adblog.usernot'}
			{/if}
		</div>
	</div>
	<div class='clr'></div>
</div>	
	{plugin call='blog.template_controller_view_end'}
<div style="font-weight: bold;margin:20px 0;padding-left:10px;">{phrase var='adblog.share_this_blog'}
    <!-- AddToAny BEGIN -->
    <div class="a2a_kit a2a_kit_size_32 a2a_default_style" style="margin-top:10px;margin-bottom:20px;">
        <a class="a2a_dd" href="https://www.addtoany.com/share"></a>
        <a class="a2a_button_facebook"></a>
        <a class="a2a_button_twitter"></a>
        <a class="a2a_button_google_plus"></a>
        <a class="a2a_button_pinterest"></a>
        <a class="a2a_button_email"></a>
        <a class="a2a_button_mail_ru"></a>
    </div>
    <script async src="https://static.addtoany.com/menu/page.js"></script>
    <!-- AddToAny END -->
</div>
	<div {if $aItem.is_approved != 1}style="display:none;" class="js_moderation_on"{/if}>
		{module name='feed.comment'}
	</div>
	{if $random_blogs}
	<h1 class='main_title' style="margin-top:0;">
		{phrase var='adblog.it_will_be_interesting'}:
	</h1>
		{foreach from=$random_blogs item=p_blog}
			<div class='fb_block rand_block'>
				<a href="{permalink module='adblog' id=$p_blog.blog_id title=$p_blog.title}" id="js_blog_edit_inner_title{$p_blog.blog_id}" class="link ajax_link" itemprop="url">
					<img src='{$p_blog.blog_image}' />
				</a>
				<a href="{permalink module='adblog' id=$p_blog.blog_id title=$p_blog.title}" id="js_blog_edit_inner_title{$p_blog.blog_id}" class="link ajax_link " itemprop="url">{$p_blog.title|clean|shorten:55:'...'|split:20}</a>
				<div class='fb_date'>
					{$p_blog.date}, {$p_blog.total_like} {phrase var='adblog.likes'}
					
						{$p_blog.total_view} {phrase var='adblog.views'}	
				</div>
			</div>
		{/foreach}
	{/if}
</div>