<?php
/**
 * [PHPFOX_HEADER]
 */

defined('PHPFOX') or exit('NO DICE!');

/**
 * 
 * 
 * @copyright		[PHPFOX_COPYRIGHT]
 * @author  		Raymond Benc
 * @package  		Module_Blog
 * @version 		$Id: top.class.php 2239 2010-12-13 13:39:04Z Raymond_Benc $
 */
class Adblog_Component_Block_Cloud extends Phpfox_Component 
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$tag_list = Phpfox::getService('adblog.callback')->getalltags();
		if (!$tag_list)
		{
			return false;
		}
		foreach($tag_list as &$tag)
		{
			$tag["link"] = PHPFOX::permalink('adblog.tag', $tag["tag_url"]);
		}
		$this->template()->assign(array(
				'tag_list' => $tag_list,
			)
		);
	}
	
}

?>