<?php
defined('PHPFOX') or exit('NO DICE!');
class Adblog_Component_Block_Featured extends Phpfox_Component 
{
	/**
	 * Class process method wnich is used to execute this component.
	 */
	public function process()
	{
		$featured_item = Phpfox::getService('adblog.callback')->getfeatured();
		if (!$featured_item)
		{
			return false;
		}
		$featured_item["blog_image"] = Phpfox::getService('adblog.callback')->getblogimage($featured_item["blog_id"]);
		$featured_item["date"] = date("M d, Y", $featured_item["time_stamp"]);
		$cats = Phpfox::getService('blog.category')->getCategoriesById($featured_item["blog_id"]);
		$featured_item["category"] = false;
		if ($cats)
		{
			$featured_item["category"] = $cats[$featured_item["blog_id"]];
			foreach($featured_item["category"] as &$item2)
			{		
					if(isset($item2))
					{
						$item2["link"] = Phpfox::getLib('url')->permalink('adblog.category', $item2['category_id'], $item2['category_name']);
					}	
			}
		}
		
		$this->template()->assign(array(
				'featured_blog' => $featured_item,
				'bg' => Phpfox::getParam('adblog.bg')
			)
		);
	}
}

?>